Skip to main content
POST
/
v1
/
operations
/
{id}
/
cancel
Cancel Operation
curl --request POST \
  --url https://api.example.com/v1/operations/{id}/cancel
Endpoint: POST https://api.rebelfi.io/v1/operations/:id/cancel
Cancel a pending operation. Only operations that haven’t been submitted to the blockchain can be cancelled.

Path Parameters

ParameterTypeRequiredDescription
idnumberYesOperation ID to cancel

Example Request

curl -X POST "https://api.rebelfi.io/v1/operations/123/cancel" \
  -H "x-api-key: your_api_key"

Example Response

{
  "operationId": 123,
  "status": "CANCELLED",
  "success": true
}

Errors

CodeDescription
OPERATION_NOT_FOUNDOperation ID doesn’t exist
INVALID_OPERATION_STATUSOperation has already been submitted, confirmed, or cancelled
In most cases you don’t need to cancel manually. Simply create a new operation — any pending operations for the same wallet are automatically cancelled.